package com.huiju.estateagents.lisenter;

import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.event.PointsEvent;
import com.huiju.estateagents.service.ITaPointsRecordsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

/**
 * @author FXF
 * @date 2019-07-30
 */

@Component
@Slf4j
public class PointsLisenter {
	
	@Autowired
	private ITaPointsRecordsService taPointsRecordsService;
	/**
	 * 获取积分
	 * @param event
	 */
	@EventListener
	public void earnPoints(PointsEvent event) {
		log.info("======发放积分======");
		if (CommConstant.POINTS_SHARE.equals(event.getType())){
				taPointsRecordsService.sharePoints(event.getSource().toString());
		}else if (CommConstant.POINTS_AUTHORIZE.equals(event.getType())){
			taPointsRecordsService.authPoints(event.getSource().toString());
		}
		
		
	}
}
